<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__pra__cfg_8h" kind="file" language="C++">
    <compoundname>cy_pra_cfg.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cy__pra_8h">cy_pra.h</includes>
    <includes local="yes" refid="cy__sysclk_8h">cy_sysclk.h</includes>
    <includes local="yes" refid="cy__systick_8h">cy_systick.h</includes>
    <includes local="yes" refid="cy__ble__clk_8h">cy_ble_clk.h</includes>
    <includes local="yes">cy_device_headers.h</includes>
    <includedby local="yes" refid="cy__pdl_8h">cy_pdl.h</includedby>
    <includedby local="yes" refid="cy__pra_8c">cy_pra.c</includedby>
    <includedby local="yes" refid="cy__pra__cfg_8c">cy_pra_cfg.c</includedby>
    <incdepgraph>
      <node id="349">
        <label>stdbool.h</label>
      </node>
      <node id="347">
        <label>cy_pra_cfg.h</label>
        <link refid="cy__pra__cfg_8h" />
        <childnode refid="348" relation="include">
        </childnode>
        <childnode refid="349" relation="include">
        </childnode>
        <childnode refid="350" relation="include">
        </childnode>
      </node>
      <node id="348">
        <label>stdint.h</label>
      </node>
      <node id="350">
        <label>cy_device_headers.h</label>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcy__stc__pra__system__config__t">cy_stc_pra_system_config_t</innerclass>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__pra__functions_1ga9eb129562cf959674d91dc11d37c374a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__pra__enums_1ga60be13e12e82986f8c0d6c6a6d4f12c5">cy_en_pra_status_t</ref></type>
        <definition>cy_en_pra_status_t Cy_PRA_SystemConfig</definition>
        <argsstring>(const cy_stc_pra_system_config_t *devConfig)</argsstring>
        <name>Cy_PRA_SystemConfig</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__pra__system__config__t">cy_stc_pra_system_config_t</ref> *</type>
          <declname>devConfig</declname>
        </param>
        <briefdescription>
<para>Initializes and Configure Device. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>devConfig</parametername>
</parameternamelist>
<parameterdescription>
<para /></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function processing. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3109" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pra_cfg.c" bodystart="2588" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra_cfg.h" line="297" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__pra__cfg_8h_1acf55e87ab58119d3bbf8c288ebdfe939" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_PRA_CalculateFLLOutFreq</definition>
        <argsstring>(const cy_stc_pra_system_config_t *devConfig)</argsstring>
        <name>Cy_PRA_CalculateFLLOutFreq</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__pra__system__config__t">cy_stc_pra_system_config_t</ref> *</type>
          <declname>devConfig</declname>
        </param>
        <briefdescription>
<para>Calculate and return FLL output frequency. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>devConfig</parametername>
</parameternamelist>
<parameterdescription>
<para>System Configuration Parameter</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>FLL output frequency </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2512" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pra_cfg.c" bodystart="2500" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra_cfg.h" line="302" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__pra__cfg_8h_1a64ebf4bc689ee5b464346ea5b6ca1076" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_PRA_CalculatePLLOutFreq</definition>
        <argsstring>(uint8_t pll, const cy_stc_pra_system_config_t *devConfig)</argsstring>
        <name>Cy_PRA_CalculatePLLOutFreq</name>
        <param>
          <type>uint8_t</type>
          <declname>pll</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__pra__system__config__t">cy_stc_pra_system_config_t</ref> *</type>
          <declname>devConfig</declname>
        </param>
        <briefdescription>
<para>Calculate and return PLL output frequency. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>pll</parametername>
</parameternamelist>
<parameterdescription>
<para>PLL number </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>devConfig</parametername>
</parameternamelist>
<parameterdescription>
<para>System Configuration Parameter</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>PLL output frequency </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2571" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pra_cfg.c" bodystart="2527" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra_cfg.h" line="303" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The header file of the PRA driver. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.0</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#if<sp />!defined(CY_PRA_CFG_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CFG_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_pra.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_sysclk.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_systick.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ble_clk.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_device_headers.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined<sp />(CY_DEVICE_SECURE)<sp />||<sp />defined<sp />(CY_DOXYGEN)</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="44"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Type<sp />Definitions</highlight></codeline>
<codeline lineno="45"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="preprocessor">#define<sp />CY_PRA_FREQUENCY_HZ_CONVERSION<sp /><sp /><sp />1000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_150MHZ_FREQUENCY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />150UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_FLL_ENABLE_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />200000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_ECO_ENABLE_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />3000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_WCO_ENABLE_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_IMO_SRC_FREQUENCY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />8000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_ILO_SRC_FREQUENCY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />32000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_WCO_SRC_FREQUENCY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />32768UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_PILO_SRC_FREQUENCY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />32768UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_DEFAULT_SRC_FREQUENCY<sp /><sp /><sp /><sp /><sp />0xFFFFFFFEUL</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_ULP_MODE_MAX_FREQUENCY<sp /><sp /><sp /><sp />50000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_LP_MODE_MAX_FREQUENCY<sp /><sp /><sp /><sp /><sp />100000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_ALTHF_MIN_FREQUENCY<sp /><sp /><sp /><sp /><sp /><sp /><sp />2000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_ALTHF_MAX_FREQUENCY<sp /><sp /><sp /><sp /><sp /><sp /><sp />32000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_ALTHF_MIN_STARTUP_TIME<sp /><sp /><sp /><sp />400UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_ALTHF_MAX_STARTUP_TIME<sp /><sp /><sp /><sp />4704UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_ALTHF_MIN_LOAD<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />7.5</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_ALTHF_MAX_LOAD<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />26.325</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_FLL_SRC_MIN_FREQUENCY<sp /><sp /><sp /><sp /><sp />(1000UL)<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />1<sp />KHz<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_FLL_SRC_MAX_FREQUENCY<sp /><sp /><sp /><sp /><sp />(100000000UL)<sp /><sp /></highlight><highlight class="comment">/*<sp />100<sp />MHz<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_FLL_OUT_MIN_FREQUENCY<sp /><sp /><sp /><sp /><sp />(24000000UL)<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />24<sp />MHz<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_FLL_ULP_OUT_MAX_FREQUENCY<sp />(50000000UL)<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />50<sp />MHz<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_FLL_OUT_MAX_FREQUENCY<sp /><sp /><sp /><sp /><sp />((CY_HF_CLK_MAX_FREQ<sp />&gt;<sp />100000000UL)<sp />?<sp />(100000000UL)<sp />:<sp />(CY_HF_CLK_MAX_FREQ))</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_FLL_MIN_MULTIPLIER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_FLL_MAX_MULTIPLIER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />262143UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_FLL_MIN_REFDIV<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_FLL_MAX_REFDIV<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />8191UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_FLL_MAX_LOCK_TOLERENCE<sp /><sp /><sp /><sp />511UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_PLL_SRC_MIN_FREQUENCY<sp /><sp /><sp /><sp /><sp />(4000000UL)<sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />4<sp />MHz<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_PLL_SRC_MAX_FREQUENCY<sp /><sp /><sp /><sp /><sp />(64000000UL)<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />64<sp />MHz<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_PLL_LOW_OUT_MIN_FREQUENCY<sp />(10625000UL)<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />10.625<sp />MHz<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_PLL_OUT_MIN_FREQUENCY<sp /><sp /><sp /><sp /><sp />(12500000UL)<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />12.5<sp />MHz<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_PLL_ULP_OUT_MAX_FREQUENCY<sp />(50000000UL)<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />50<sp />MHz<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_PLL_OUT_MAX_FREQUENCY<sp /><sp /><sp /><sp /><sp />(CY_HF_CLK_MAX_FREQ)</highlight><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_HF0_MIN_FREQUENCY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />200000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_PUMP_OUT_MAX_FREQUENCY<sp /><sp /><sp /><sp />400000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_BAK_OUT_MAX_FREQUENCY<sp /><sp /><sp /><sp /><sp />100000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_FAST_OUT_MAX_FREQUENCY<sp /><sp /><sp /><sp />400000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_TIMER_OUT_MAX_FREQUENCY<sp /><sp /><sp />400000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_SLOW_OUT_MAX_FREQUENCY<sp /><sp /><sp /><sp />100000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_SYSTICK_OUT_MAX_FREQUENCY<sp /><sp /><sp />400000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_ULP_MODE_HF0_MAX_FREQUENCY<sp /><sp />25000000UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_DEFAULT_ZERO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0U</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_STRUCT_INITIALIZED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_STRUCT_NOT_INITIALIZED<sp /><sp /><sp /><sp />0UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_DATA_ENABLE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_DATA_DISABLE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKHF_0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKHF_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKHF_2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />2UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKHF_3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />3UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKHF_4<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />4UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKHF_5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />5UL</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKPATH_0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0U</highlight><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKPATH_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1U</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKPATH_2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />2U</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKPATH_3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />3U</highlight><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKPATH_4<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />4U</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKPATH_5<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />5U</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKPLL_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1U</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_CLKPLL_2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />2U</highlight><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_DIVIDER_0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0U</highlight><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_DIVIDER_1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />1U</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_DIVIDER_2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />2U</highlight><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_DIVIDER_4<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />4U</highlight><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_PRA_DIVIDER_8<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />8U</highlight><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="129" refid="structcy__stc__pra__system__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal">{</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />powerEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />ldoEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />pmicEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />vBackupVDDDEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />ulpEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />ecoEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />extClkEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />iloEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />wcoEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />fllEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />pll0Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />pll1Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />path0Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />path1Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />path2Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />path3Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />path4Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />path5Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkFastEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkPeriEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkSlowEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkHF0Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkHF1Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkHF2Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkHF3Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkHF4Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkHF5Enable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkPumpEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkLFEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkBakEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkTimerEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkAltSysTickEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />piloEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />clkAltHfEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Power<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1gaef8ba4a0ee827abcaaf62f950e69496e">cy_en_syspm_ldo_voltage_t</ref><sp />ldoVoltage;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syspm__data__enumerates_1ga3917bcfb5a7b4151ec1b0fcd95c37d5a">cy_en_syspm_buck_voltage1_t</ref><sp />buckVoltage;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />pwrCurrentModeMin;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />System<sp />clocks<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />IMO<sp />is<sp />always<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />ECO<sp />Configuration<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />ecoFreqHz;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />ecoLoad;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />ecoEsr;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />ecoDriveLevel;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="178"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref><sp />*ecoInPort;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref><sp />*ecoOutPort;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />ecoInPinNum;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />ecoOutPinNum;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />EXTCLK<sp />Configuration<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />extClkFreqHz;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="185"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref><sp />*extClkPort;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />extClkPinNum;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__enums_1ga678dc02e490d04efdcfec78648899ce4">en_hsiom_sel_t</ref><sp />extClkHsiom;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />ILO<sp />Configuration<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />iloHibernateON;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />WCO<sp />Configuration<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />bypassEnable;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref><sp />*wcoInPort;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref><sp />*wcoOutPort;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="196"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />wcoInPinNum;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />wcoOutPinNum;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />FLL<sp />Configuration<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />fllOutFreqHz;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />fllMult;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />fllRefDiv;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__fll__enums_1gac8760ee841ca24255c9a4fee494b79aa">cy_en_fll_cco_ranges_t</ref><sp /><sp /><sp /><sp /><sp /><sp />fllCcoRange;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />enableOutputDiv;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="205"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />lockTolerance;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="206"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />igain;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="207"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />pgain;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="208"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />settlingCount;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="209"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__fll__enums_1ga777e08424e26c9cd8c2602b2114e716b">cy_en_fll_pll_output_mode_t</ref><sp />outputMode;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="210"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ccoFreq;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="212"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Number<sp />of<sp />PLL<sp />available<sp />for<sp />the<sp />device<sp />is<sp />defined<sp />in<sp />CY_SRSS_NUM_PLL</highlight></codeline>
<codeline lineno="213"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />Max<sp />2<sp />instances<sp />of<sp />PLLs<sp />are<sp />defined<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="214"><highlight class="normal" /></codeline>
<codeline lineno="215"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />PLL0<sp />Configuration<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />pll0OutFreqHz;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="217"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />pll0FeedbackDiv;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="218"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />pll0ReferenceDiv;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="219"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />pll0OutputDiv;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />pll0LfMode;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__fll__enums_1ga777e08424e26c9cd8c2602b2114e716b">cy_en_fll_pll_output_mode_t</ref><sp />pll0OutputMode;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />PLL1<sp />Configuration<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />pll1OutFreqHz;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />pll1FeedbackDiv;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />pll1ReferenceDiv;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />pll1OutputDiv;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />pll1LfMode;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="229"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__fll__enums_1ga777e08424e26c9cd8c2602b2114e716b">cy_en_fll_pll_output_mode_t</ref><sp />pll1OutputMode;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="231"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Number<sp />of<sp />clock<sp />Path<sp />available<sp />for<sp />device<sp />is<sp />defined<sp />in<sp />CY_SRSS_NUM_CLKPATH.</highlight></codeline>
<codeline lineno="232"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />Max<sp />6<sp />clock<sp />path<sp />are<sp />defined<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Clock<sp />Paths<sp />Configuration<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__path__src__enums_1ga8ddaf9023a02dee0d1f9a5629d6ccfe6">cy_en_clkpath_in_sources_t</ref><sp />path0Src;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="236"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__path__src__enums_1ga8ddaf9023a02dee0d1f9a5629d6ccfe6">cy_en_clkpath_in_sources_t</ref><sp />path1Src;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="237"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__path__src__enums_1ga8ddaf9023a02dee0d1f9a5629d6ccfe6">cy_en_clkpath_in_sources_t</ref><sp />path2Src;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="238"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__path__src__enums_1ga8ddaf9023a02dee0d1f9a5629d6ccfe6">cy_en_clkpath_in_sources_t</ref><sp />path3Src;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="239"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__path__src__enums_1ga8ddaf9023a02dee0d1f9a5629d6ccfe6">cy_en_clkpath_in_sources_t</ref><sp />path4Src;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="240"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__path__src__enums_1ga8ddaf9023a02dee0d1f9a5629d6ccfe6">cy_en_clkpath_in_sources_t</ref><sp />path5Src;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="242"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Clock<sp />Dividers<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />clkFastDiv;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="244"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />clkPeriDiv;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="245"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />clkSlowDiv;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="247"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Number<sp />of<sp />HF<sp />clocks<sp />are<sp />defined<sp />in<sp />device<sp />specific<sp />header<sp />CY_SRSS_NUM_HFROOT</highlight></codeline>
<codeline lineno="248"><highlight class="comment"><sp /><sp /><sp /><sp /><sp />*<sp />Max<sp />6<sp />HFs<sp />are<sp />defined<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="249"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />HF<sp />Configurations<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="250"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gabac2d6b9124a00860dcd781a922788d6">cy_en_clkhf_in_sources_t</ref><sp />hf0Source;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="251"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gadfbf0caf87af7cd757648124fb17d1d4">cy_en_clkhf_dividers_t</ref><sp />hf0Divider;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="252"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />hf0OutFreqMHz;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="253"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gabac2d6b9124a00860dcd781a922788d6">cy_en_clkhf_in_sources_t</ref><sp />hf1Source;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="254"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gadfbf0caf87af7cd757648124fb17d1d4">cy_en_clkhf_dividers_t</ref><sp />hf1Divider;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="255"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />hf1OutFreqMHz;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="256"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gabac2d6b9124a00860dcd781a922788d6">cy_en_clkhf_in_sources_t</ref><sp />hf2Source;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="257"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gadfbf0caf87af7cd757648124fb17d1d4">cy_en_clkhf_dividers_t</ref><sp />hf2Divider;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="258"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />hf2OutFreqMHz;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="259"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gabac2d6b9124a00860dcd781a922788d6">cy_en_clkhf_in_sources_t</ref><sp />hf3Source;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="260"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gadfbf0caf87af7cd757648124fb17d1d4">cy_en_clkhf_dividers_t</ref><sp />hf3Divider;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="261"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />hf3OutFreqMHz;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="262"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gabac2d6b9124a00860dcd781a922788d6">cy_en_clkhf_in_sources_t</ref><sp />hf4Source;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="263"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gadfbf0caf87af7cd757648124fb17d1d4">cy_en_clkhf_dividers_t</ref><sp />hf4Divider;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="264"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />hf4OutFreqMHz;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="265"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gabac2d6b9124a00860dcd781a922788d6">cy_en_clkhf_in_sources_t</ref><sp />hf5Source;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="266"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__hf__enums_1gadfbf0caf87af7cd757648124fb17d1d4">cy_en_clkhf_dividers_t</ref><sp />hf5Divider;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="267"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />hf5OutFreqMHz;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="268"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__pump__enums_1gab816c6625c6a20701956a4831526cdda">cy_en_clkpump_in_sources_t</ref><sp />pumpSource;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="269"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__pump__enums_1ga8207bb47d9ecd521dc95375c1d46189e">cy_en_clkpump_divide_t</ref><sp />pumpDivider;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="271"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Misc<sp />clock<sp />configurations<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="272"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__lf__enums_1ga8bfd6f85870f0d30d15e73b3ed820db6">cy_en_clklf_in_sources_t</ref><sp />clkLfSource;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="273"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__bak__enums_1gae43abac127a973232c6e4c1adbde0497">cy_en_clkbak_in_sources_t</ref><sp />clkBakSource;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="274"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__timer__enums_1ga86912bed27349c7e5c53315a84cd040d">cy_en_clktimer_in_sources_t</ref><sp />clkTimerSource;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="275"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />clkTimerDivider;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="276"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__systick__data__structures_1ga466b1e8fe4278011eab77a691ce2b8f9">cy_en_systick_clock_source_t</ref><sp />clkSrcAltSysTick;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="278"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />BLE<sp />ECO<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="279"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />altHFcLoad;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="280"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />altHFxtalStartUpTime;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="281"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />altHFfreq;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="282"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />altHFsysClkDiv;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="283"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />altHFvoltageReg;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="284"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__pra__system__config__t">cy_stc_pra_system_config_t</ref>;</highlight></codeline>
<codeline lineno="288"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="289"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="290"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="291"><highlight class="normal" /></codeline>
<codeline lineno="297"><highlight class="normal"><ref kindref="member" refid="group__group__pra__enums_1ga60be13e12e82986f8c0d6c6a6d4f12c5">cy_en_pra_status_t</ref><sp /><ref kindref="member" refid="group__group__pra__functions_1ga9eb129562cf959674d91dc11d37c374a">Cy_PRA_SystemConfig</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__pra__system__config__t">cy_stc_pra_system_config_t</ref><sp />*devConfig);</highlight></codeline>
<codeline lineno="298"><highlight class="normal" /></codeline>
<codeline lineno="301"><highlight class="preprocessor">#if<sp />(CY_CPU_CORTEX_M0P)<sp />||<sp />defined<sp />(CY_DOXYGEN)</highlight><highlight class="normal" /></codeline>
<codeline lineno="302"><highlight class="normal">uint32_t<sp />Cy_PRA_CalculateFLLOutFreq(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__pra__system__config__t">cy_stc_pra_system_config_t</ref><sp />*devConfig);</highlight></codeline>
<codeline lineno="303"><highlight class="normal">uint32_t<sp />Cy_PRA_CalculatePLLOutFreq(uint8_t<sp />pll,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__pra__system__config__t">cy_stc_pra_system_config_t</ref><sp />*devConfig);</highlight></codeline>
<codeline lineno="304"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />(CY_CPU_CORTEX_M0P)<sp />||<sp />defined<sp />(CY_DOXYGEN)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="305"><highlight class="normal" /></codeline>
<codeline lineno="306"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="307"><highlight class="normal">}</highlight></codeline>
<codeline lineno="308"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="309"><highlight class="normal" /></codeline>
<codeline lineno="310"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />(CY_DEVICE_SECURE)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="311"><highlight class="normal" /></codeline>
<codeline lineno="312"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />!defined(CY_PRA_CFG_H)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="313"><highlight class="normal" /></codeline>
<codeline lineno="314"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra_cfg.h" />
  </compounddef>
</doxygen>